SET ECHO ON;
/*
UNLu
Departamento de Ciencias Basicas
Division Estadistica y Sistemas
Licenciatura en Sistemas de Informacion
11411 - Base de Datos
Lic. Guillermo Cherencio

PREFIJO			OBJETO
DOM_			Dominio
GN_			Generator
T_   			Tablas
IDX_			Indice
V_			Views
P_			Procedure
TRG_			Trigger
EX_			Exception
PK_<tabla>		Primary Key constraint
CK_			Check constraint
AK_			Unique constraint
FK_			Foreign Key constraint

*/
SET ECHO OFF;
SET AUTODDL ON;
SET ECHO ON;
/* Inicio Script Mundial de Futbol 2007 */
/* Seteos iniciales de isql: */
SET;
/* Conectado a Base de Datos: */
SET ECHO OFF;
SHOW DATABASE;
SET ECHO ON;
INPUT ddl/drop/security.sql;
   INPUT ddl/drop/trigger.sql;
      INPUT ddl/drop/procedure.sql;
         INPUT ddl/drop/exception.sql;
           INPUT ddl/drop/view3.sql;
            INPUT ddl/drop/view2.sql;
               INPUT ddl/drop/view.sql;
                  INPUT ddl/drop/index.sql;
                     INPUT ddl/drop/table.sql;
                        INPUT ddl/drop/domain.sql;
                           INPUT ddl/drop/function.sql;
                           INPUT ddl/create/function.sql;
                        INPUT ddl/create/domain.sql;
                     INPUT ddl/create/table.sql;
                  INPUT ddl/create/index.sql;
               INPUT ddl/create/view.sql;
            INPUT ddl/create/view2.sql;
           INPUT ddl/create/view3.sql;
         INPUT ddl/create/exception.sql;
      INPUT ddl/create/procedure.sql;
   INPUT ddl/create/trigger.sql;
INPUT ddl/create/security.sql;
COMMIT;

/* Datos */

INPUT dml/data1.sql;
INPUT dml/show.sql;

INPUT dml/data2.sql;
INPUT dml/show.sql;

/* 
 Fin Script Mundial de Futbol 2007 
 Salgo haciendo COMMIT de los cambios 
================================
UNLu
Departamento de Ciencias Basicas
Division Estadistica y Sistemas
Licenciatura en Sistemas de Informacion
11411 - Base de Datos
Lic. Guillermo Cherencio 
================================
*/
EXIT; 

