
/* 
   Inicio Creacion de views3 para tabla de RESULTADO DE PARTIDOS
*/

SET ECHO OFF;

CREATE VIEW V_PARTIDO_EQ_L(IDE,F,EQL,CGEQL) AS

SELECT TE.IDE,TE.F,TE.IDEQ,CAST(SUM(PJ.CG) AS SMALLINT)
FROM T_EQ TE INNER JOIN T_PJ PJ ON TE.IDE = PJ.IDE AND TE.F = PJ.F
             INNER JOIN T_PARTIDO P ON TE.IDE = P.IDE AND TE.F = P.F
             INNER JOIN T_JUGADOR J ON PJ.IDJ = J.IDJ
WHERE P.ESTADO = 5 AND TE.ROLEQ = 'L' AND J.IDEQ = TE.IDEQ
GROUP BY TE.IDE,TE.F,TE.IDEQ

;




CREATE VIEW V_PARTIDO_EQ_V(IDE,F,EQV,CGEQV) AS

SELECT TE.IDE,TE.F,TE.IDEQ,CAST(SUM(PJ.CG) AS SMALLINT)
FROM T_EQ TE INNER JOIN T_PJ PJ ON TE.IDE = PJ.IDE AND TE.F = PJ.F
             INNER JOIN T_PARTIDO P ON TE.IDE = P.IDE AND TE.F = P.F
             INNER JOIN T_JUGADOR J ON PJ.IDJ = J.IDJ
WHERE P.ESTADO = 5 AND TE.ROLEQ = 'V' AND J.IDEQ = TE.IDEQ
GROUP BY TE.IDE,TE.F,TE.IDEQ

;




CREATE VIEW V_PARTIDO_RES(IDE,F,RESULTADO) AS
   SELECT P.IDE,P.F,'L'
   FROM T_PARTIDO P INNER JOIN V_PARTIDO_EQ_L PL ON P.IDE = PL.IDE AND P.F = PL.F
                    INNER JOIN V_PARTIDO_EQ_V PV ON P.IDE = PV.IDE AND P.F = PV.F 
   WHERE PL.CGEQL > PV.CGEQV
UNION
   SELECT P.IDE,P.F,'E'
   FROM T_PARTIDO P INNER JOIN V_PARTIDO_EQ_L PL ON P.IDE = PL.IDE AND P.F = PL.F
                    INNER JOIN V_PARTIDO_EQ_V PV ON P.IDE = PV.IDE AND P.F = PV.F 
   WHERE PL.CGEQL = PV.CGEQV
UNION
   SELECT P.IDE,P.F,'V' 
   FROM T_PARTIDO P INNER JOIN V_PARTIDO_EQ_L PL ON P.IDE = PL.IDE AND P.F = PL.F
                    INNER JOIN V_PARTIDO_EQ_V PV ON P.IDE = PV.IDE AND P.F = PV.F 
   WHERE PL.CGEQL < PV.CGEQV

;




CREATE VIEW V_PARTIDO_R(IDE,F,EQL,EQV,RESULTADO,CGEQL,CGEQV) AS

SELECT P.IDE,P.F,PL.EQL,PV.EQV,PR.RESULTADO,PL.CGEQL,PV.CGEQV
FROM T_PARTIDO P INNER JOIN V_PARTIDO_EQ_L PL ON P.IDE = PL.IDE AND P.F = PL.F
                 INNER JOIN V_PARTIDO_EQ_V PV ON P.IDE = PV.IDE AND P.F = PV.F
                 INNER JOIN V_PARTIDO_RES  PR ON P.IDE = PR.IDE AND P.F = PR.F

;


SHOW VIEWS;

SET ECHO ON;

/*  Fin Creacion de views3 */
