/*
  Configuro seguridad para base de datos Mundial
  
  Atte. Lic. Guillermo Cherencio
*/

/*
  Todo usuario con perfil supervisor solo puede dar altas, bajas, modificaciones y consultas
  sobre las tablas de equipos, jugadores y autoridadades
  Sobre el resto de objetos del sistema no tiene privilegios

  Previamente a la ejecucion de este script se ha creado el usuario super/super
  quien sera asociado con el rol supervisor
*/
SET ECHO OFF;

CREATE ROLE supervisor;

GRANT ALL ON TABLE T_EQUIPO    TO supervisor;
GRANT ALL ON TABLE T_JUGADOR   TO supervisor;
GRANT ALL ON TABLE T_AUTORIDAD TO supervisor;

GRANT supervisor TO super;

SHOW ROLES;

